Internal
Verifone internal operations
Using the UUID of the user or the merchantCompanyUid in the query (ROLE) Dependent.
The Verifone allocated unique id for this site.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9The Verifone allocated unique ID for this merchant company.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9Only return the billing sites.
trueThe billing site id to query.
13232331A flag to indicate if when creating the user to verify them by locating the customer in the Verifone billing systems.
The primary merchant name, e.g. "McDonalds".
^(?!\\s*$).+Address Line. Should include street and apartment number if required.
213 Miller StreetIdentifier consisting of a group of letters and/or numbers that is added to a postal address to assist the sorting of mail.
2061Last 4 digits of active bank account
2061Pattern: ^[0-9]*Customer ID in Oracle
28792600010001, BK00045Site ID of existing unapproved user.
42679Pattern: ^[0-9]*Search results matching criteria.
Account Sites Response.
Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
GET /accounts/sites?customerEntityUid=14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9 HTTP/1.1
Host: api.verifone.com
Accept: */*
{
"sites": [
{
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text"
},
"vfiSiteId": "text",
"storeNumber": "text",
"governmentOwned": true,
"governmentCountry": "AUS",
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text",
"sitePurpose": "BILL",
"groupNumber": "text",
"activeBank": "2061",
"customerId": "28792600010001, BK00045",
"linkedSites": [
{
"contact": {
"contactType": "BUSINESS",
"name": {
"firstName": "text",
"lastName": "text",
"prefix": "text",
"alternateFullName": "text",
"middleName": "text",
"suffix": "text"
},
"phoneNumbers": [
{
"callingCode": "text",
"value": "text",
"extension": "text",
"isPrimary": false,
"phoneType": "HOME"
}
],
"email": "name@gmail.com",
"businessTitle": "text"
},
"vfiSiteId": "text",
"storeNumber": "text",
"governmentOwned": true,
"governmentCountry": "AUS",
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text",
"sitePurpose": "BILL",
"groupNumber": "text",
"activeBank": "2061",
"customerId": "28792600010001, BK00045"
}
]
}
]
}Get more details about the order status, worfklows, etc.
Verifone allocated ID for the Order.
32c480b5-4dfb-4c53-959f-49edf45a0931search results matching criteria
Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
GET /orders/{orderId}/status HTTP/1.1
Host: api.verifone.com
Accept: */*
{
"status": "DRAFT",
"workflow": {
"workflowState": "text",
"lastChangeDateTime": "2026-01-01T00:00:00.000Z",
"tasks": [
{
"name": "text",
"state": "text",
"timestamp": "2026-01-01T00:00:00.000Z"
}
]
}
}Update order status. This can only be done by internal Verifone systems.
Verifone allocated ID for the Order.
32c480b5-4dfb-4c53-959f-49edf45a0931Update status request.
An order will be in one of the following states.
Order status updated
No content
Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
PATCH /orders/{orderId}/status HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 49
{
"newStatus": "DRAFT",
"newStatusExtended": "DRAFT"
}No content
Create an internal merchant maintenance order to track the workflow related to a merchant maintenance request such as updating a trading address. This should only be used by the order service consumer after a change has been done to entity service and additional workflow steps are required to orchestrate this data to other systems.
Client reference for the Order.
ORD-1234Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).
The requested date for this order.
Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.
2026-06-20T09:00:00ZPurchase Order Reference
85219587Notes for the Order
Current in draft, caller got busy, callback anothertime.The ID of the record associated to the event.
Verifone allocated ID for the Order.
32c480b5-4dfb-4c53-959f-49edf45a0931The assigned User ID corresponding to the Order Created By.
04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1The username of the person who's UID is represented, e.g. "John/Jane Smith".
The created date for this order.
The assigned User_ID corresponding to the Order Modified By.
04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1The username of the person who's UID is represented, e.g. "John/Jane Smith".
The last modified date for this order.
MerchantMaintenanceOrderThe Verifone allocated unique id for this site.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9Create Merchant Maintenance Order Response
Client reference for the Order.
ORD-1234Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity).
The requested date for this order.
Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately.
2026-06-20T09:00:00ZPurchase Order Reference
85219587Notes for the Order
Current in draft, caller got busy, callback anothertime.The ID of the record associated to the event.
Verifone allocated ID for the Order.
32c480b5-4dfb-4c53-959f-49edf45a0931The assigned User ID corresponding to the Order Created By.
04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1The username of the person who's UID is represented, e.g. "John/Jane Smith".
The created date for this order.
The assigned User_ID corresponding to the Order Modified By.
04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1The username of the person who's UID is represented, e.g. "John/Jane Smith".
The last modified date for this order.
MerchantMaintenanceOrderThe Verifone allocated unique id for this site.
14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9Bad Request
Unauthorised Request
Forbidden Request.
Not Found Request
Too Many Requests
Internal Error
Service Not Available
Service Timeout
POST /orders/merchantMaintenance HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 1387
{
"orderReference": "ORD-1234",
"customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
"requestedDate": "2026-01-01T00:00:00.000Z",
"deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
"poRef": "85219587",
"paymentDetails": {
"paymentType": "CREDIT",
"accountType": "CHEQUE",
"accountCurrency": "AED",
"institutionName": "HSBC Bank",
"accountName": "Coffee Supreme LTD",
"sortCode": "301105",
"bsb": 22039,
"routingTransitNumber": "247484410",
"accountNumber": "23008275",
"accountAddress": {
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"ean": "23008275",
"iban": "text",
"bic": "CTBAAU2SXXX"
},
"notes": "Current in draft, caller got busy, callback anothertime.",
"additionalOrderData": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
],
"eventType": "TradingAddressUpdated",
"itemId": "text",
"orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
"status": "DRAFT",
"createdUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"createdBy": "text",
"createdDate": "2026-01-01T00:00:00.000Z",
"modifiedUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"modifiedBy": "text",
"modifiedDate": "2026-01-01T00:00:00.000Z",
"orderType": "MerchantMaintenanceOrder",
"entityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
"merchant": {
"merchantName": "text"
},
"content": {}
}{
"orderReference": "ORD-1234",
"customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
"requestedDate": "2026-01-01T00:00:00.000Z",
"deferredOrderProcessingDate": "2026-06-20T09:00:00Z",
"poRef": "85219587",
"paymentDetails": {
"paymentType": "CREDIT",
"accountType": "CHEQUE",
"accountCurrency": "AED",
"institutionName": "HSBC Bank",
"accountName": "Coffee Supreme LTD",
"sortCode": "301105",
"bsb": 22039,
"routingTransitNumber": "247484410",
"accountNumber": "23008275",
"accountAddress": {
"receiverName": "text",
"addressLine1": "213 Miller Street",
"addressLine2": "North Sydney",
"addressLine3": "text",
"poBox": "K1234",
"city": "York",
"countrySubdivision": "Georgia",
"postCode": "2061",
"country": "AUS",
"timeZone": "text"
},
"ean": "23008275",
"iban": "text",
"bic": "CTBAAU2SXXX"
},
"notes": "Current in draft, caller got busy, callback anothertime.",
"additionalOrderData": [
{
"variableName": "VAT_ID or BAX_ID",
"variableValue": "1234566"
}
],
"eventType": "TradingAddressUpdated",
"itemId": "text",
"orderId": "32c480b5-4dfb-4c53-959f-49edf45a0931",
"status": "DRAFT",
"createdUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"createdBy": "text",
"createdDate": "2026-01-01T00:00:00.000Z",
"modifiedUserUid": "04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1",
"modifiedBy": "text",
"modifiedDate": "2026-01-01T00:00:00.000Z",
"orderType": "MerchantMaintenanceOrder",
"entityUid": "14f5ea24-cc4f-11e8-a8d5-f2801f1b9fd9",
"merchant": {
"merchantName": "text"
},
"content": {}
}Internal endpoint called by order-service-consumer after OBS or entity wallet creation completes, to asynchronously re-submit DRAFT upsell wait orders for the given merchant. Restricted to ROLE_SYSTEM_ONBOARDING_BACKEND and ROLE_VERIFONE_ADMIN. Must not be exposed via the public API gateway.
Request to trigger async re-submission of DRAFT upsell wait orders belonging to a merchant, called after OBS or entity wallet creation completes.
The customer entity UID of the merchant whose parent order has completed. Used to query draft ECNS and POI upsell orders.
The merchant company entity UID. Used to scope the ECNS draft upsell query and determine whether the parent order has been signed.
The entity UID of the signed parent order. Used to query draft POI upsell orders and look up the parent order signing status.
Async submission task dispatched successfully.
No content
Bad Request
Unauthorised Request
Forbidden Request.
Too Many Requests
Internal Error
Service Not Available
Service Timeout
POST /orders/internal/trigger-draft-upsells HTTP/1.1
Host: api.verifone.com
Content-Type: application/json
Accept: */*
Content-Length: 177
{
"customerEntityUid": "123e4567-e89b-12d3-a456-426614174000",
"merchantCompanyEntityUid": "123e4567-e89b-12d3-a456-426614174000",
"entityUid": "123e4567-e89b-12d3-a456-426614174000"
}No content
Last updated
Was this helpful?
